aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorGeorge Kadianakis <desnacked@riseup.net>2019-04-18 13:22:54 +0300
committerGeorge Kadianakis <desnacked@riseup.net>2019-04-18 13:22:54 +0300
commit2db9bb02c79e023128e7b6fc89f4601b88e8ef4b (patch)
tree338fc8dbdac9b641ea6157a555f7e4cddc6b97a9 /scripts
parentd867b7ae1dcd77ca7af64c3e5489644670b136f5 (diff)
parent5722c6d12d75ad1ddb28c32a11aae7aed7ccf5db (diff)
downloadtor-2db9bb02c79e023128e7b6fc89f4601b88e8ef4b.tar.gz
tor-2db9bb02c79e023128e7b6fc89f4601b88e8ef4b.zip
Merge branch 'tor-github/pr/925'
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/git/git-pull-all.sh18
1 files changed, 17 insertions, 1 deletions
diff --git a/scripts/git/git-pull-all.sh b/scripts/git/git-pull-all.sh
index 0a4898a111..5d1d58e4bf 100755
--- a/scripts/git/git-pull-all.sh
+++ b/scripts/git/git-pull-all.sh
@@ -174,6 +174,19 @@ function fetch_origin
fi
}
+# Fetch tor-github pull requests. No arguments.
+function fetch_tor_github
+{
+ local cmd="git fetch tor-github"
+ printf " %s Fetching tor-github..." "$MARKER"
+ if [ $DRY_RUN -eq 0 ]; then
+ msg=$( eval "$cmd" 2>&1 )
+ validate_ret $? "$msg"
+ else
+ printf "\\n %s\\n" "${IWTH}$cmd${CNRM}"
+ fi
+}
+
###############
# Entry point #
###############
@@ -188,8 +201,11 @@ while getopts "n" opt; do
esac
done
-# First, fetch the origin.
+# First, fetch tor-github.
goto_repo "$ORIGIN_PATH"
+fetch_tor_github
+
+# Then, fetch the origin.
fetch_origin
# Go over all configured worktree.